package tantra;

public class JobListEntry{
	public Job job = Job.Unknown;
	public String name = "";

	
	/**
	 * 値を指定したコンストラクタ
	 * @param name
	 * @param job
	 */
	public JobListEntry( String name, Job job ){
		this.name = name;
		this.job = job;
	}


	/**
	 * job_list.txtの行データからのコンストラクタ
	 * @param line
	 * 		行データ
	 */
	public JobListEntry( String line ){
		String token[];
		token = line.split( "," );
		this.name = token[0];
		this.job = Job.fromInt( Integer.valueOf( token[1] ) );
	}
}
